/*
 * @Author: zhp
 * @Date: 2023-01-06 10:13:07
 * @LastEditTime: 2023-05-31 10:43:18
 * @LastEditors: zhp
 * @Description: 
 */
/**
 * 配置参考: https://cli.vuejs.org/zh/config/
 */
const path = require('path')
function resolve(dir) {
  return path.join(__dirname, dir)
}
module.exports = {
  publicPath: process.env.NODE_ENV === 'production' ? './' : '/',
  chainWebpack: (config) => {
    config.module.rule('svg').exclude.add(resolve('src/icons')).end()

    config.module
      .rule('icons')
      .test(/\.svg$/)
      .include.add(resolve('src/icons'))
      .end()
      .use('svg-sprite-loader')
      .loader('svg-sprite-loader')
  },
  productionSourceMap: false,
  devServer: {
    open: true,
    port: 8001,
    hot: true,
    overlay: {
      errors: true,
      warnings: true
    }
  }
}
